<?php

    require_once('../../motormobil/motormobil.php');

    require_once('../../odbconexion/config.php');



	include('../../cookies.php');

	include('../../centinela.php');

	$objeto = new galletas();

	require_once('../../bussines/fix_characters.php');

	$Obj_fix_characters=new fix_characters();



	$intentos=0;

	$usuario="";

	$pass=""; 



	$usuario=!empty($_REQUEST['ee11cbb19052e40b07aac0ca060c23ee'])?$_REQUEST['ee11cbb19052e40b07aac0ca060c23ee']:'';

	$pass=!empty($_REQUEST['4c882dcb24bcb1bc225391a602feca7c'])?$_REQUEST['4c882dcb24bcb1bc225391a602feca7c']:'';

	$unipas=$pass;

    $unipas=$usuario."|".$pass;

    

    for ($c = 1; $c <= 3; $c++) {

        $pass=md5($pass);

    }



	$intentos=!empty($_REQUEST['intentos'])?$_REQUEST['intentos']:0;

	$sesionup=!empty($_REQUEST['sesionup'])?$_REQUEST['sesionup']:'';

	$intentos=$intentos+1;



		try{

            	$Odbj_conexion = new odbconexion;

	            $conexion=$Odbj_conexion->openconection();

	            $consulta="SELECT * FROM login_appquadrata WHERE (Login_Correo = '$usuario' OR Login_Telefono = '$usuario') AND Login_Password_Encrypt='$pass'";

	            $Array_adapter=$conexion->query($consulta);

	            $conexion->close();

	            if($Array_adapter->num_rows > 0){

	            	session_start();

						$_SESSION['login_appquadrata']=1;

						while($campos=$Array_adapter->fetch_assoc())

						{

							//sessionup sirve para preguntar si se desea manterner la session abierta.

						if ($sesionup==1) 

							{

						    //Genera el cookie para el usuario

							

							$cookie_name = "tokenusu_appquadrata";

							//$cookie_value = "{$campos['Login_Correo']}";

                            $cookie_value = "$usuario";

							$objeto->Agregargalleta($cookie_name,$cookie_value);

							//Genera el cookie para la contraseña ya ecriptada

							$cookie_name = "token_appquadrata";

							$cookie_value = "{$campos['Login_Password']}";

							$objeto->Agregargalleta($cookie_name,$cookie_value);

							//Genera el cookie para mantener la sesion iniciada.

							$cookie_name = "onstar_appquadrata";

							$cookie_value = "$sesionup";								

							$objeto->Agregargalleta($cookie_name,$cookie_value);

							}

							// $objeto_centinela = new galletas();

							$cookie_name = "onstar_centinela_appquadrata";

							$cookie_value = "1";								

							$objeto->Agregargalleta($cookie_name,$cookie_value);

							$_SESSION['IdLoginr_appquadrata']="{$campos['IdLoginr']}";

							$_SESSION['IdLogin_appquadrata']="{$campos['IdLogin']}";

							$_SESSION['Rol_appquadrata']="{$campos['Id_Fk_Rol']}";

							$_SESSION['Titulo_Rol_Fk_appquadrata']="{$campos['Titulo_Rol_Fk']}";

							$_SESSION['Login_Nombre_appquadrata']="{$campos['Login_Nombre']}";

							$_SESSION['Login_Telefono_appquadrata']="{$campos['Login_Telefono']}";

							$_SESSION['Login_Correo_appquadrata']="{$campos['Login_Correo']}";

							$_SESSION['Login_Password_appquadrata']="{$campos['Login_Password']}";

							$_SESSION['Login_Img_Perfil_appquadrata']="{$campos['Login_Img_Perfil']}";

						}

						header("Location: ../../home");

	            }else{

	            	if ($intentos>=1) 

					{

									

						$cookie_name = "onstar_appquadrata";

						$cookie_value = "";

						$objeto->Agregargalleta($cookie_name,$cookie_value);

									

						$cookie_name = "tokenusu_appquadrata";

						$cookie_value = "";

						$objeto->Agregargalleta($cookie_name,$cookie_value);

						//genera el cookie para la contraseña ya ecriptada

						$cookie_name = "token_appquadrata";

						$cookie_value = "";

						$objeto->Agregargalleta($cookie_name,$cookie_value);

						header('Location: ../?contra=required&login='.$usuario.'&error=4 °'.'&intentos='.$intentos);

					}

					else

					{

										

					$cookie_name = "onstar_appquadrata";

					$cookie_value = "";

					$objeto->Agregargalleta($cookie_name,$cookie_value);

										

					$cookie_name = "tokenusu_appquadrata";

					$cookie_value = "";

					$objeto->Agregargalleta($cookie_name,$cookie_value);

					//genera el cookie para la contraseña ya ecriptada

					$cookie_name = "token_appquadrata";

					$cookie_value = "";

					$objeto->Agregargalleta($cookie_name,$cookie_value);

					header('Location: ../?contra=required&login='.$usuario.'&intentos='.$intentos);	

					}

	            }

							

		}catch (Exception $e) {

			echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

		}

?>